> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hologram.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an organization

> Get organization details



## OpenAPI

````yaml /api/1/openapi.yaml get /organizations/{orgId}
openapi: 3.0.0
info:
  title: Hologram REST API v1
  description: >-
    The Hologram HTTP API is a REST-style interface for managing Hologram
    devices, accounts, and cloud data.


    Using the Hologram REST API, you can activate SIMs, get your devices
    approximate location, send SMS to your devices, update a device's usage
    limit, and much more.


    ## Authentication


    Hologram supports **HTTP Basic authentication** using API keys. Simply set
    the username of the request to `apikey`. The password field is the API key
    itself.


    You can find your API key on the Hologram Dashboard under [Account
    Settings](https://dashboard.hologram.io/settings/api).


    Your API key gives you access to your personal account, as well as any
    organizations you are a member of. Make sure you don't store your API key in
    a publicly accessible place like GitHub. If you are a member of multiple
    organizations, many endpoints accept an `orgid` argument to filter for
    devices or other objects within a specific organization.


    You can find your `orgid` by following [this guide from our Help
    Center](https://support.hologram.io/hc/en-us/articles/360035421234-What-is-my-organization-ID-orgid).


    ### Header Example


    ```

    curl --verbose GET \

    'https://dashboard.hologram.io/api/1/users/me' \

    -u apikey:YOUR_API_KEY

    ```


    You can also base64 encode "apikey:YOUR_API_KEY" and include it directly in
    the header.


    ```

    curl --verbose GET \

    'https://dashboard.hologram.io/api/1/users/me' \

    --header "Authorization: Basic BASE64(apikey:YOUR_API_KEY)"

    ```


    ## Requests


    Request bodies can be provided in either JSON or form-urlencoded formats.
    Please note that the examples in this documentation will only display JSON
    bodies.


    ### **JSON body**


    ```

    curl --verbose --request POST \

    --header "Content-Type: application/json" \

    --header "Authorization: Basic BASE64(apikey:YOUR_API_KEY)" \

    --data '{"deviceid": 56668, "body": "Hello device!"}' \

    'https://dashboard.hologram.io/api/1/sms/incoming'

    ```


    ### **form-urlencoded body**


    ```

    curl --verbose --request POST \

    --header "Content-Type: application/x-form-urlencoded" \

    --header "Authorization: Basic BASE64(apikey:YOUR_API_KEY)" \

    --data 'deviceid=56668&body=Hello%20device!' \

    'https://dashboard.hologram.io/api/1/sms/incoming'

    ```


    ## Responses


    All API responses are returned as JSON objects with the following fields:


    * `success` (boolean) - Indicates whether the request was successful.

    * `data` (object or array) - Contains the requested data or information
    about the operation that was performed. Only present when `success` is true.

    * `error` (string) - Information about why the request failed. Only present
    when `success` is false.


    Most GET responses will also include the following fields if a limit is
    included as part of the query string:


    * `limit` (number) - The query limit, some have this value built in and
    others often have a maximum value that the limit can be

    * `size` (number) - The number of values returned by the query

    * `continues` (boolean, optional) - This is only returned if there are more
    values than were returned

    * `links` (array) - Contains information related to the query performed
      * `path` (string) - The API endpoint path
      * `base` (string) - API base URL
      * `next` (string) - URL with query string to get the next results

    Note that all dates and times are returned in UTC.


    ## Rate Limiting


    In order to provide a good quality of service to all of our customers, we
    enforce a rate limit on all API requests.


    If you exceed the rate limit you will receive a HTTP 429 response with a
    JSON response body like this:


    ```

    {
      "success":false,
      "error":"API rate limit exceeded"
    }

    ```


    If you receive this response, you should refrain from making requests for
    5-10 seconds and then retry the request.


    Hologram's REST API provides methods to perform many requests in bulk. For
    example, you can change the data plans of multiple SIMs at once using
    https://dashboard.hologram.io/api/1/links/cellular/changeplan.


    If there is request you would like to make in bulk but cannot, please reach
    out to [support@hologram.io](mailto:support@hologram.io) for assistance.
  version: '1'
servers:
  - url: https://dashboard.hologram.io/api/1
    description: Hologram REST API v1
security: []
tags:
  - name: Devices
    description: Devices
  - name: SIM Configuration
    description: SIM Configuration
    x-group: SIM Configuration - Conductor
  - name: Organizations
    description: Organizations
  - name: Personal account
    description: Personal account
  - name: Async Change Requests
    description: Async Change Requests
paths:
  /organizations/{orgId}:
    get:
      tags:
        - Organizations
      summary: Get an organization
      description: Get organization details
      operationId: getOrganization
      parameters:
        - name: orgId
          in: path
          description: ID of the organization
          required: true
          schema:
            type: integer
        - name: with_verified_status
          in: query
          description: When true, include the email verification status of each member user
          required: false
          schema:
            type: integer
        - name: withbilling_scheme
          in: query
          description: When true, include the billing scheme in the response
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrganizationResponse'
        '401':
          description: Unauthorized
      security:
        - apiKeyAuth: []
components:
  schemas:
    GetOrganizationResponse:
      properties:
        success:
          $ref: '#/components/schemas/SuccessProperty'
        data:
          $ref: '#/components/schemas/OrganizationObject'
      type: object
      example:
        success: true
        data:
          id: 2345
          name: Smart Things LLC
          ownerid: 1234
          is_personal: 0
          ccemails: finance@example.com
          preflight_timeout_in_days: 365
          users:
            - id: 1234
              email: holly.graham@example.com
              first: Holly
              last: Graham
              permissions:
                - billing
                - activation
                - changeplan
                - sbconfig
                - sbtunnel
                - deactivate
                - org_management
          pending:
            - email: newuser@example.com
              inviteid: 456
    SuccessProperty:
      description: Indicates whether the request was successful.
      type: boolean
      example: true
    OrganizationObject:
      properties:
        id:
          description: Unique organization ID
          type: integer
        name:
          description: Organization display name
          type: string
        ownerid:
          description: User ID of the organization owner
          type: integer
        is_personal:
          description: 1 if this is a personal organization belonging to a single user
          type: integer
          enum:
            - 0
            - 1
        ccemails:
          description: Comma-separated list of email addresses for credit card receipts
          type: string
        proplan:
          description: 1 if the organization is on a Pro plan
          type: integer
          enum:
            - 0
            - 1
        invoice_text:
          description: Custom text appended to invoices
          type: string
        preflight_timeout_in_days:
          description: Number of days a device stays in Test Mode before auto-deactivating
          type: integer
        users:
          description: Members of the organization
          type: array
          items:
            $ref: '#/components/schemas/OrganizationUserEntry'
        pending:
          description: Users with pending invitations
          type: array
          items:
            $ref: '#/components/schemas/OrganizationPendingEntry'
      type: object
    OrganizationUserEntry:
      properties:
        id:
          description: User ID
          type: integer
        email:
          description: User email
          type: string
        first:
          description: First name
          type: string
        last:
          description: Last name
          type: string
        permissions:
          description: List of permissions granted to this user in the organization
          type: array
          items:
            type: string
            enum:
              - billing
              - activation
              - changeplan
              - sbconfig
              - sbtunnel
              - deactivate
              - org_management
              - billing_visible
      type: object
    OrganizationPendingEntry:
      properties:
        email:
          description: Email address the invitation was sent to
          type: string
        inviteid:
          description: Invitation ID
          type: integer
      type: object
  securitySchemes:
    apiKeyAuth:
      type: http
      description: >-
        HTTP Basic authentication using API keys. Set the username to `apikey`
        and the password to your API key. You can find your API key on the
        Hologram Dashboard under Account Settings.
      scheme: basic

````